/*
 * Class reference NATURAL_16
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_856 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_856 [] = {0xFF01,1551,855,0xFFFF};
static const EIF_TYPE_INDEX egt_2_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_3_856 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_856 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_6_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_7_856 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_856 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_856 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_856 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_856 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_13_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_14_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_15_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_16_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_17_856 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_19_856 [] = {0xFF01,855,0xFFFF};
static const EIF_TYPE_INDEX egt_20_856 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_21_856 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_22_856 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_856[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_856), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_856), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21285, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_856), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_856), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_856), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_856), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_856), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_856), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_856), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_856), 21339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_856), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_856), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_856), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_856), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21289, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_856), 21279, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_856), 21280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21288, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21372, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_856), 21298, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_856), 21339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_856), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_856), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21276, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21375, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_856), 21302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21303, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_856), 21304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_856), 21324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21338, 0xFFFFFFFF},
};
void Init856(void)
{
	IDSC(desc_856, 0, 855);
	IDSC(desc_856 + 1, 1, 855);
	IDSC(desc_856 + 32, 700, 855);
	IDSC(desc_856 + 34, 171, 855);
	IDSC(desc_856 + 44, 224, 855);
	IDSC(desc_856 + 45, 1459, 855);
	IDSC(desc_856 + 49, 939, 855);
	IDSC(desc_856 + 52, 1178, 855);
}


#ifdef __cplusplus
}
#endif
